(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 10.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1064,         20]
NotebookDataLength[     15933,        330]
NotebookOptionsPosition[     16267,        317]
NotebookOutlinePosition[     16864,        342]
CellTagsIndexPosition[     16821,        339]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
\:5186\:306e\:63a5\:7dda\:3068\:5f26\:306e\:4f5c\:308b\:89d2
\:3000\:5186\:306e\:63a5\:7dda\:3068\:63a5\:70b9\:3092\:901a\:308b\:5f26\:306e\
\:4f5c\:308b\:5404\:306f\:ff0c\:3053\:306e\:89d2\:5185\:306b\:3042\:308b\:5f27\
\:306b\:5bfe\:3059\:308b\:5186\:5468\:89d2\:306b\:7b49\:3057\:3044\
\>", "Section", "PluginEmbeddedContent",
 FontSize->18,
 Background->RGBColor[1, 0.9, 0.8]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`A$$ = 
    4.71238898038469, $CellContext`B$$ = -0.3617749168701834, \
$CellContext`CC$$ = 1.9200000000000002`, $CellContext`d$$ = 
    1, $CellContext`d2$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"\:540d\:79f0\:672a\:5b9a\:7fa9\"", Typeset`specs$$ = {{{
       Hold[$CellContext`d$$], 0, "\[Angle]ACB"}, {0, 1}}, {{
       Hold[$CellContext`d2$$], 0, "\[Angle]ABC"}, {0, 1}}, {
      Hold[$CellContext`CC$$], 0.3, 6.583185307179586}, {
      Hold[$CellContext`A$$], Rational[3, 2] Pi, 2 Pi}, {
      Hold[$CellContext`B$$], Rational[-1, 3] Pi, 
      Dynamic[$CellContext`CC$$]}}, Typeset`size$$ = {468., {230., 238.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`d$14129$$ = False, $CellContext`d2$14130$$ = 
    False, $CellContext`CC$14131$$ = 0, $CellContext`A$14132$$ = 
    0, $CellContext`B$14133$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`A$$ = Rational[3, 2] Pi, $CellContext`B$$ = 
        Rational[-1, 3] Pi, $CellContext`CC$$ = 0.3, $CellContext`d$$ = 
        0, $CellContext`d2$$ = 0}, "ControllerVariables" :> {
        Hold[$CellContext`d$$, $CellContext`d$14129$$, False], 
        Hold[$CellContext`d2$$, $CellContext`d2$14130$$, False], 
        Hold[$CellContext`CC$$, $CellContext`CC$14131$$, 0], 
        Hold[$CellContext`A$$, $CellContext`A$14132$$, 0], 
        Hold[$CellContext`B$$, $CellContext`B$14133$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Graphics[{
          Thickness[0.009], {Pink, 
           Circle[{0, 0}, 3]}, {Pink, 
           Line[{{3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]} + 10 {
                Sin[$CellContext`A$$], -Cos[$CellContext`A$$]}, {
              3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]} - 10 {
               Sin[$CellContext`A$$], -Cos[$CellContext`A$$]}}]}, {
           PointSize[Large], 
           Point[{3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}], 
           Point[{3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}], 
           Point[{0, 0}], 
           Point[{3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]}]}, {
          Blue, 
           
           Line[{{3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]}, {
             3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}}]}, {Blue, 
           
           Line[{{3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]}, {
             3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}}]}, {Blue, 
           
           Line[{{3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}, {
             3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}}]}, 
          If[$CellContext`d$$ == 1, {Blue, 
            Opacity[0.5], 
            
            BSplineCurve[{(-{
                  3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} + {
                 3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]})/(2 
               Norm[{3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} - {
                 3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}]) + {
               3 Cos[$CellContext`CC$$], 3 
                Sin[$CellContext`CC$$]}, ((-{
                   3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} + {
                  3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}) + (-{
                   3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} + {
                  3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}))/(1.8 
               Norm[(-{3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} + {
                   3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}) + (-{
                    3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} + {
                   3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]})]) + {
               3 Cos[$CellContext`CC$$], 3 
                Sin[$CellContext`CC$$]}, (-{
                  3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} + {
                 3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]})/(2 
               Norm[{3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} - {
                 3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}]) + {
               3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]}}, 
             SplineDegree -> 4], 
            BSplineCurve[{(-{
                  Sin[$CellContext`A$$], -Cos[$CellContext`A$$]})/2 + {
               3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}, ((-{
                    Sin[$CellContext`A$$], -Cos[$CellContext`A$$]})/2 + ({
                    Cos[$CellContext`B$$], 
                    Sin[$CellContext`B$$]} - {
                   Cos[$CellContext`A$$], 
                   Sin[$CellContext`A$$]})/(2 Norm[{
                    Cos[$CellContext`B$$], 
                    Sin[$CellContext`B$$]} - {
                    Cos[$CellContext`A$$], 
                    Sin[$CellContext`A$$]}]))/(2 Norm[(-{
                    Sin[$CellContext`A$$], -Cos[$CellContext`A$$]})/2 + ({
                    Cos[$CellContext`B$$], 
                    Sin[$CellContext`B$$]} - {
                    Cos[$CellContext`A$$], 
                    Sin[$CellContext`A$$]})/(2 Norm[{
                    Cos[$CellContext`B$$], 
                    Sin[$CellContext`B$$]} - {
                    Cos[$CellContext`A$$], 
                    Sin[$CellContext`A$$]}])]) + {
               3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}, ({
                  Cos[$CellContext`B$$], 
                  Sin[$CellContext`B$$]} - {
                 Cos[$CellContext`A$$], 
                 Sin[$CellContext`A$$]})/(2 Norm[{
                   Cos[$CellContext`B$$], 
                   Sin[$CellContext`B$$]} - {
                  Cos[$CellContext`A$$], 
                  Sin[$CellContext`A$$]}]) + {
               3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}}, 
             SplineDegree -> 4]}], 
          If[$CellContext`d2$$ == 1, {Green, 
            Opacity[0.5], 
            
            BSplineCurve[{(-{
                  3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} + {
                 3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]})/(2 
               Norm[{3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} - {
                 3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}]) + {
               3 Cos[$CellContext`B$$], 3 
                Sin[$CellContext`B$$]}, ((-{
                   3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} + {
                  3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}) + (-{
                   3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} + {
                  3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]}))/(1.8 
               Norm[(-{3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} + {
                   3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}) + (-{
                    3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} + {
                   3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]})]) + {
               3 Cos[$CellContext`B$$], 3 
                Sin[$CellContext`B$$]}, (-{
                  3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} + {
                 3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]})/(2 
               Norm[{3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} - {
                 3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]}]) + {
               3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}}, 
             SplineDegree -> 4], 
            BSplineCurve[{{
                 Sin[$CellContext`A$$], -Cos[$CellContext`A$$]}/2 + {
               3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}, ({
                   Sin[$CellContext`A$$], -Cos[$CellContext`A$$]}/2 + ({
                    Cos[$CellContext`CC$$], 
                    Sin[$CellContext`CC$$]} - {
                   Cos[$CellContext`A$$], 
                   Sin[$CellContext`A$$]})/(2 Norm[{
                    Cos[$CellContext`CC$$], 
                    Sin[$CellContext`CC$$]} - {
                    Cos[$CellContext`A$$], 
                    Sin[$CellContext`A$$]}]))/(2 Norm[{
                    Sin[$CellContext`A$$], -Cos[$CellContext`A$$]}/2 + ({
                    Cos[$CellContext`CC$$], 
                    Sin[$CellContext`CC$$]} - {
                    Cos[$CellContext`A$$], 
                    Sin[$CellContext`A$$]})/(2 Norm[{
                    Cos[$CellContext`CC$$], 
                    Sin[$CellContext`CC$$]} - {
                    Cos[$CellContext`A$$], 
                    Sin[$CellContext`A$$]}])]) + {
               3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}, ({
                  Cos[$CellContext`CC$$], 
                  Sin[$CellContext`CC$$]} - {
                 Cos[$CellContext`A$$], 
                 Sin[$CellContext`A$$]})/(2 Norm[{
                   Cos[$CellContext`CC$$], 
                   Sin[$CellContext`CC$$]} - {
                  Cos[$CellContext`A$$], 
                  Sin[$CellContext`A$$]}]) + {
               3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}}, 
             SplineDegree -> 4]}], 
          If[$CellContext`d$$ == 1, {Blue, 
            Text[
             Style[
             Round[180 (
                 ArcCos[Dot[{
                    3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} - {
                    3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}, {
                    3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} - {
                    3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}]/(
                   Norm[{3 Cos[$CellContext`CC$$], 3 
                    Sin[$CellContext`CC$$]} - {
                    3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}] 
                   Norm[{3 Cos[$CellContext`CC$$], 3 
                    Sin[$CellContext`CC$$]} - {
                    3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}])]/Pi)] 
              "\[Degree]", Large], {
              3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} 1.3], 
            Text[
             Style[
             Round[180 (
                 ArcCos[Dot[{
                    3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} - {
                    3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}, {
                    3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} - {
                    3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}]/(
                   Norm[{
                    3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} - {
                    3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}] 
                   Norm[{3 Cos[$CellContext`CC$$], 3 
                    Sin[$CellContext`CC$$]} - {
                    3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}])]/Pi)] 
              "\[Degree]", 
              Large], {3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]} 
              1.3 + {1, 0}]}], 
          If[$CellContext`d2$$ == 1, {Green, 
            Text[
             Style[
             Round[180 (
                 ArcCos[Dot[{
                    3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} - {
                    3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}, {
                    3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} - {
                    3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]}]/(
                   Norm[{3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} - {
                    3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}] 
                   Norm[{3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} - {
                    3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]}])]/
                 Pi)] "\[Degree]", 
              Large], {3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} 
              1.3 + {0.5, 0}], 
            Text[
             Style[
             Round[180 (
                 ArcCos[Dot[{
                    3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} - {
                    3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}, {
                    3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} - {
                    3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]}]/(
                   Norm[{3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} - {
                    3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}] 
                   Norm[{3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} - {
                    3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]}])]/
                 Pi)] "\[Degree]", 
              Large], {3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]} 
              1.3 + {-1, 0}]}], 
          Text[
           Style["O", Large], {0, 0} + {0.5, -0.5}], 
          Text[
           Style[
           "A", Large], {3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]} + {
            0.3, -0.4}], 
          Text[
           Style[
           "B", Large], {3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} + {
            0.3, -0.4}], 
          Text[
           Style[
           "C", Large], {
            3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} + {
            0.5, -0.5}], Null}], PlotRange -> {{-5, 5}, {-5, 5}}, AspectRatio -> 
        Automatic], 
      "Specifications" :> {{{$CellContext`d$$, 0, "\[Angle]ACB"}, {0, 
         1}}, {{$CellContext`d2$$, 0, "\[Angle]ABC"}, {0, 
         1}}, {$CellContext`CC$$, 0.3, 6.583185307179586}, {$CellContext`A$$, 
         Rational[3, 2] Pi, 2 Pi}, {$CellContext`B$$, Rational[-1, 3] Pi, 
         Dynamic[$CellContext`CC$$]}}, 
      "Options" :> {ControlPlacement -> Left, ImageSize -> Large}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{857., {268., 277.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output", "PluginEmbeddedContent"]
}, Open  ]]
},
WindowSize->{954, 633},
WindowMargins->{{197, Automatic}, {Automatic, 17}},
Visible->True,
AuthoredSize->{955, 633},
ScrollingOptions->{"HorizontalScrollRange"->Fit,
"VerticalScrollRange"->Fit},
ShowCellBracket->False,
Deployed->True,
CellContext->Notebook,
TrackCellChangeTimes->False,
Magnification:>1.3 Inherited,
FrontEndVersion->"10.0 for Microsoft Windows (32-bit) (2014\:5e747\:67089\
\:65e5)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[1486, 35, 390, 7, 116, "Section"],
Cell[1879, 44, 14372, 270, 547, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature RwTIn8q8N4vUJDwsCyZU3wSr *)
